Name:          compress-lzf
Version:       1.0.4
Release:       %mkrel 3
Summary:       Basic LZF codec, compatible with standard C LZF package
License:       ASL 2.0
Group:         Development/Java
URL:           https://github.com/ning/compress
Source0:       %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml:oss-parent:pom:)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
Compression codec for LZF encoding for particularly encoding/decoding,
with reasonable compression. Compressor is basic Lempel-Ziv codec,
without Huffman (deflate/gzip) or statistical post-encoding. See
"http://oldhome.schmorp.de/marc/liblzf.html" for more on
original LZF package.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n compress-%{name}-%{version}

%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

%pom_add_dep junit:junit::test

%mvn_file : %{name}

%build
%mvn_build -- -Poffline-testing

%install
%mvn_install

%files -f .mfiles
%doc README.md VERSION.txt
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.4-3.mga9
+ Revision: 1827429
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.0.4-2.mga8
+ Revision: 1536215
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.0.4-1.mga8
+ Revision: 1453711
- Update to version 1.0.4

* Mon Dec 03 2018 daviddavid <daviddavid> 1.0.3-1.mga7
+ Revision: 1337931
- new version: 1.0.3 (sync with fc29)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.8-4.mga5
+ Revision: 745242
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 0.9.8-1.mga4
+ Revision: 489299
- New version

* Fri Jan 11 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 348110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 gil <gil> 0.9.2-1.mga2
+ Revision: 217945
- imported package compress-lzf

